## hypopg 1.1.2

=== Makefile ===
EXTENSION = hypopg
EXTVERSION   = $(shell grep default_version $(EXTENSION).control | sed -e "s/default_version[[:space:]]*=[[:space:]]*'\([^']*\)'/\1/")
TESTS        = $(wildcard test/sql/*.sql)
REGRESS      = $(patsubst test/sql/%.sql,%,$(TESTS))
REGRESS_OPTS = --inputdir=test

PG_CONFIG = pg_config

MODULE_big = hypopg
OBJS = hypopg.o hypopg_import.o

all:

release-zip: all
	git archive --format zip --prefix=hypopg-${EXTVERSION}/ --output ./hypopg-${EXTVERSION}.zip HEAD
	unzip ./hypopg-$(EXTVERSION).zip
	rm ./hypopg-$(EXTVERSION).zip
	rm ./hypopg-$(EXTVERSION)/.gitignore
	rm ./hypopg-$(EXTVERSION)/docs/ -rf
	rm ./hypopg-$(EXTVERSION)/typedefs.list
	rm ./hypopg-$(EXTVERSION)/TODO.md
	sed -i -e "s/__VERSION__/$(EXTVERSION)/g"  ./hypopg-$(EXTVERSION)/META.json
	zip -r ./hypopg-$(EXTVERSION).zip ./hypopg-$(EXTVERSION)/
	rm ./hypopg-$(EXTVERSION) -rf


DATA = $(wildcard *--*.sql)
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

DEBUILD_ROOT = /tmp/$(EXTENSION)

deb: release-zip
	mkdir -p $(DEBUILD_ROOT) && rm -rf $(DEBUILD_ROOT)/*
	unzip ./${EXTENSION}-$(EXTVERSION).zip -d $(DEBUILD_ROOT)
	cd $(DEBUILD_ROOT)/${EXTENSION}-$(EXTVERSION) && make -f debian/rules orig
	cd $(DEBUILD_ROOT)/${EXTENSION}-$(EXTVERSION) && debuild -us -uc -sa

## hypopg 1.1.3

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,11 @@
 PG_CONFIG = pg_config
 
 MODULE_big = hypopg
-OBJS = hypopg.o hypopg_import.o
+
+OBJS = hypopg.o \
+       hypopg_index.o \
+       import/hypopg_import.o \
+       import/hypopg_import_index.o
 
 all:

## hypopg 1.1.4

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,13 @@
 EXTENSION = hypopg
 EXTVERSION   = $(shell grep default_version $(EXTENSION).control | sed -e "s/default_version[[:space:]]*=[[:space:]]*'\([^']*\)'/\1/")
 TESTS        = $(wildcard test/sql/*.sql)
-REGRESS      = $(patsubst test/sql/%.sql,%,$(TESTS))
+
+# More test can be added later, after including pgxs
+REGRESS      = hypopg
+
 REGRESS_OPTS = --inputdir=test
 
-PG_CONFIG = pg_config
+PG_CONFIG ?= pg_config
 
 MODULE_big = hypopg
 
@@ -32,6 +35,18 @@
 PGXS := $(shell $(PG_CONFIG) --pgxs)
 include $(PGXS)
 
+ifneq ($(MAJORVERSION),$(filter $(MAJORVERSION), 9.2 9.3 9.4))
+	REGRESS += hypo_brin
+endif
+
+ifeq ($(MAJORVERSION),10)
+	REGRESS += hypo_index_part_10
+endif
+
+ifneq ($(MAJORVERSION),$(filter $(MAJORVERSION), 9.2 9.3 9.4 9.5 9.6 10))
+	REGRESS += hypo_index_part
+endif
+
 DEBUILD_ROOT = /tmp/$(EXTENSION)
 
 deb: release-zip

=== debian/changelog ===
hypopg (1.1.4-2) unstable; urgency=medium

  * Team upload for PostgreSQL 13.
  * Use source format 3.0 (quilt).
  * Use dh --with pgxs_loop.
  * DH 13.
  * R³: no.
  * debian/tests: Use 'make' instead of postgresql-server-dev-all.

 -- Christoph Berg <myon@debian.org>  Sun, 18 Oct 2020 22:16:44 +0200

hypopg (1.1.4-1) unstable; urgency=medium

  * New upstream version with PG13 support.

 -- Julien Rouhaud <rjuju123@gmail.com>  Wed, 24 Jun 2020 11:18:47 +0000

hypopg (1.1.3-1) unstable; urgency=low

  * New upstream version with PG12 support.

 -- Julien Rouhaud <rjuju123@gmail.com>  Sun, 16 Jun 2019 10:47:38 +0100

hypopg (1.1.2-1) unstable; urgency=low

  * New upstream version with PG11 support.

 -- Julien Rouhaud <rjuju123@gmail.com>  Wed, 30 May 2018 04:50:12 +0100

hypopg (1.1.1-1) unstable; urgency=low

  * Initial release.

 -- Julien Rouhaud <rjuju123@gmail.com>  Sat, 24 Mar 2018 10:27:33 +0100

=== debian/control ===
Source: hypopg
Section: database
Priority: optional
Maintainer: Julien Rouhaud <rjuju123@gmail.com>
Standards-Version: 4.5.0
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13), postgresql-all (>= 217~)
Homepage: https://hypopg.readthedocs.io/
Vcs-Browser: https://github.com/hypopg/hypopg
Vcs-Git: https://github.com/hypopg/hypopg.git

Package: postgresql-13-hypopg
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-13
Description: PostgreSQL extension adding support for hypothetical indexes.
 An hypothetical, or virtual, index is an index that doesn't really exists, and
 thus doesn't cost CPU, disk or any resource to create.  They're useful to know
 if specific indexes can increase performance for problematic queries, since
 you can know if PostgreSQL will use these indexes or not without having to
 spend resources to create them.

=== debian/tests/control ===
Depends: @, make, postgresql-contrib-13
Tests: installcheck
Restrictions: allow-stderr

=== debian/watch ===
version=3
https://github.com/hypopg/hypopg/releases .*/archive/(.*).tar.gz

## hypopg 1.3.1~20220627.1639-1~1.gitef28424.pgdg18.04+1

=== debian/changelog ===
hypopg (1.3.1~20220627.1639-1~1.gitef28424.pgdg18.04+1) bionic-pgdg; urgency=medium

  * Rebuild for bionic-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 11.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 08 Oct 2021 10:40:57 +0200

hypopg (1.3.1-1) unstable; urgency=medium

  * New upstream version.
  * Fix github watch file.
  * Add myself to Uploaders.

 -- Christoph Berg <myon@debian.org>  Fri, 08 Oct 2021 10:40:57 +0200

hypopg (1.2.0-1) unstable; urgency=medium

  * New upstream version.

 -- Julien Rouhaud <rjuju123@gmail.com>  Fri, 26 Feb 2021 14:51:06 +0800

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,44 @@
 Section: database
 Priority: optional
 Maintainer: Julien Rouhaud <rjuju123@gmail.com>
-Standards-Version: 4.5.0
+Uploaders:
+ Christoph Berg <myon@debian.org>,
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13), postgresql-all (>= 217~)
+Build-Depends: debhelper (>= 11), postgresql-all (>= 217~)
 Homepage: https://hypopg.readthedocs.io/
-Vcs-Browser: https://github.com/hypopg/hypopg
-Vcs-Git: https://github.com/hypopg/hypopg.git
+Vcs-Browser: https://github.com/HypoPG/hypopg
+Vcs-Git: https://github.com/HypoPG/hypopg.git
+
+Package: postgresql-10-hypopg
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-10
+Description: PostgreSQL extension adding support for hypothetical indexes.
+ An hypothetical, or virtual, index is an index that doesn't really exists, and
+ thus doesn't cost CPU, disk or any resource to create.  They're useful to know
+ if specific indexes can increase performance for problematic queries, since
+ you can know if PostgreSQL will use these indexes or not without having to
+ spend resources to create them.
+
+Package: postgresql-11-hypopg
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-11
+Description: PostgreSQL extension adding support for hypothetical indexes.
+ An hypothetical, or virtual, index is an index that doesn't really exists, and
+ thus doesn't cost CPU, disk or any resource to create.  They're useful to know
+ if specific indexes can increase performance for problematic queries, since
+ you can know if PostgreSQL will use these indexes or not without having to
+ spend resources to create them.
+
+Package: postgresql-12-hypopg
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-12
+Description: PostgreSQL extension adding support for hypothetical indexes.
+ An hypothetical, or virtual, index is an index that doesn't really exists, and
+ thus doesn't cost CPU, disk or any resource to create.  They're useful to know
+ if specific indexes can increase performance for problematic queries, since
+ you can know if PostgreSQL will use these indexes or not without having to
+ spend resources to create them.
 
 Package: postgresql-13-hypopg
 Architecture: any
@@ -18,3 +50,13 @@
  if specific indexes can increase performance for problematic queries, since
  you can know if PostgreSQL will use these indexes or not without having to
  spend resources to create them.
+
+Package: postgresql-14-hypopg
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-14
+Description: PostgreSQL extension adding support for hypothetical indexes.
+ An hypothetical, or virtual, index is an index that doesn't really exists, and
+ thus doesn't cost CPU, disk or any resource to create.  They're useful to know
+ if specific indexes can increase performance for problematic queries, since
+ you can know if PostgreSQL will use these indexes or not without having to
+ spend resources to create them.

## hypopg 1.3.1~20220627.1639-1~1.gitef28424.pgdg20.04+1

=== debian/changelog ===
hypopg (1.3.1~20220627.1639-1~1.gitef28424.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 08 Oct 2021 10:40:57 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Christoph Berg <myon@debian.org>,
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
-Build-Depends: debhelper (>= 11), postgresql-all (>= 217~)
+Build-Depends: debhelper (>= 12), postgresql-all (>= 217~)
 Homepage: https://hypopg.readthedocs.io/
 Vcs-Browser: https://github.com/HypoPG/hypopg
 Vcs-Git: https://github.com/HypoPG/hypopg.git

## hypopg 1.3.1~20220627.1639-1~1.gitef28424.pgdg21.10+1

=== debian/changelog ===
hypopg (1.3.1~20220627.1639-1~1.gitef28424.pgdg21.10+1) impish-pgdg; urgency=medium

  * Rebuild for impish-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 08 Oct 2021 10:40:57 +0200

## hypopg 1.3.1~20220627.1639-1~1.gitef28424.pgdg22.04+1

=== debian/changelog ===
hypopg (1.3.1~20220627.1639-1~1.gitef28424.pgdg22.04+1) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 08 Oct 2021 10:40:57 +0200

## hypopg 1.3.1~20220627.1639-1~1.gitef28424.pgdg90+1

=== debian/changelog ===
hypopg (1.3.1~20220627.1639-1~1.gitef28424.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 08 Oct 2021 10:40:57 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Christoph Berg <myon@debian.org>,
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
-Build-Depends: debhelper (>= 12), postgresql-all (>= 217~)
+Build-Depends: debhelper (>= 10), postgresql-all (>= 217~)
 Homepage: https://hypopg.readthedocs.io/
 Vcs-Browser: https://github.com/HypoPG/hypopg
 Vcs-Git: https://github.com/HypoPG/hypopg.git

=== debian/tests/control ===
Depends: @, make, postgresql-contrib-10, postgresql-contrib-11, postgresql-contrib-12, postgresql-contrib-13, postgresql-contrib-14
Tests: installcheck
Restrictions: allow-stderr

## hypopg 1.3.1~20220627.1639-1~1.gitef28424.pgdg100+1

=== debian/changelog ===
hypopg (1.3.1~20220627.1639-1~1.gitef28424.pgdg100+1) buster-pgdg; urgency=medium

  * Rebuild for buster-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 08 Oct 2021 10:40:57 +0200

## hypopg 1.3.1~20220627.1639-1~1.gitef28424.pgdg110+1

=== debian/changelog ===
hypopg (1.3.1~20220627.1639-1~1.gitef28424.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 08 Oct 2021 10:40:57 +0200

## hypopg 1.3.1~20220627.1639-1~1.gitef28424.pgdg120+1

=== debian/changelog ===
hypopg (1.3.1~20220627.1639-1~1.gitef28424.pgdg120+1) bookworm-pgdg; urgency=medium

  * Rebuild for bookworm-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 08 Oct 2021 10:40:57 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Christoph Berg <myon@debian.org>,
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
-Build-Depends: debhelper (>= 10), postgresql-all (>= 217~)
+Build-Depends: debhelper-compat (= 13), postgresql-all (>= 217~)
 Homepage: https://hypopg.readthedocs.io/
 Vcs-Browser: https://github.com/HypoPG/hypopg
 Vcs-Git: https://github.com/HypoPG/hypopg.git

## hypopg 1.3.1

=== Makefile ===
--- 
+++ 
@@ -44,7 +44,11 @@
 endif
 
 ifneq ($(MAJORVERSION),$(filter $(MAJORVERSION), 9.2 9.3 9.4 9.5 9.6 10))
-	REGRESS += hypo_index_part
+	REGRESS += hypo_index_part hypo_include
+endif
+
+ifneq ($(MAJORVERSION),$(filter $(MAJORVERSION), 9.2 9.3 9.4 9.5 9.6))
+	REGRESS += hypo_hash
 endif
 
 DEBUILD_ROOT = /tmp/$(EXTENSION)

=== debian/changelog ===
hypopg (1.3.1-2) unstable; urgency=medium

  * Upload for PostgreSQL 15.
  * debian/watch: Look at GitHub tags instead of releases.

 -- Christoph Berg <myon@debian.org>  Thu, 20 Oct 2022 15:32:55 +0200

=== debian/control ===
Source: hypopg
Section: database
Priority: optional
Maintainer: Julien Rouhaud <rjuju123@gmail.com>
Uploaders:
 Christoph Berg <myon@debian.org>,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13), postgresql-all (>= 217~)
Homepage: https://hypopg.readthedocs.io/
Vcs-Browser: https://github.com/HypoPG/hypopg
Vcs-Git: https://github.com/HypoPG/hypopg.git

Package: postgresql-15-hypopg
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-15
Description: PostgreSQL extension adding support for hypothetical indexes.
 An hypothetical, or virtual, index is an index that doesn't really exists, and
 thus doesn't cost CPU, disk or any resource to create.  They're useful to know
 if specific indexes can increase performance for problematic queries, since
 you can know if PostgreSQL will use these indexes or not without having to
 spend resources to create them.

=== debian/tests/control ===
Depends: @, make, postgresql-contrib-15
Tests: installcheck
Restrictions: allow-stderr

## hypopg 1.4.0

=== Makefile ===
--- 
+++ 
@@ -51,6 +51,8 @@
 	REGRESS += hypo_hash
 endif
 
+REGRESS += hypo_hide_index
+
 DEBUILD_ROOT = /tmp/$(EXTENSION)
 
 deb: release-zip

=== debian/changelog ===
hypopg (1.4.0-2) unstable; urgency=medium

  * Upload for PostgreSQL 16.
  * Use ${postgresql:Depends}.

 -- Christoph Berg <myon@debian.org>  Mon, 18 Sep 2023 12:05:56 +0200

hypopg (1.4.0-1) unstable; urgency=medium

  * New upstream version.

 -- Julien Rouhaud <rjuju123@gmail.com>  Mon, 31 Jul 2023 12:28:46 +0200

## hypopg 1.4.1

=== debian/changelog ===
hypopg (1.4.1-1.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Sun, 28 Apr 2024 09:14:18 +0800

hypopg (1.4.1-1) unstable; urgency=medium

  * New upstream version.

 -- Julien Rouhaud <rjuju123@gmail.com>  Sun, 28 Apr 2024 09:14:18 +0800

=== debian/control ===
Source: hypopg
Section: database
Priority: optional
Maintainer: Julien Rouhaud <rjuju123@gmail.com>
Uploaders:
 Christoph Berg <myon@debian.org>,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13), postgresql-all (>= 217~)
Homepage: https://hypopg.readthedocs.io/
Vcs-Browser: https://github.com/HypoPG/hypopg
Vcs-Git: https://github.com/HypoPG/hypopg.git

Package: postgresql-10-hypopg
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${postgresql:Depends}
Description: PostgreSQL extension adding support for hypothetical indexes.
 An hypothetical, or virtual, index is an index that doesn't really exists, and
 thus doesn't cost CPU, disk or any resource to create.  They're useful to know
 if specific indexes can increase performance for problematic queries, since
 you can know if PostgreSQL will use these indexes or not without having to
 spend resources to create them.

Package: postgresql-11-hypopg
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${postgresql:Depends}
Description: PostgreSQL extension adding support for hypothetical indexes.
 An hypothetical, or virtual, index is an index that doesn't really exists, and
 thus doesn't cost CPU, disk or any resource to create.  They're useful to know
 if specific indexes can increase performance for problematic queries, since
 you can know if PostgreSQL will use these indexes or not without having to
 spend resources to create them.

Package: postgresql-12-hypopg
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${postgresql:Depends}
Description: PostgreSQL extension adding support for hypothetical indexes.
 An hypothetical, or virtual, index is an index that doesn't really exists, and
 thus doesn't cost CPU, disk or any resource to create.  They're useful to know
 if specific indexes can increase performance for problematic queries, since
 you can know if PostgreSQL will use these indexes or not without having to
 spend resources to create them.

Package: postgresql-13-hypopg
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${postgresql:Depends}
Description: PostgreSQL extension adding support for hypothetical indexes.
 An hypothetical, or virtual, index is an index that doesn't really exists, and
 thus doesn't cost CPU, disk or any resource to create.  They're useful to know
 if specific indexes can increase performance for problematic queries, since
 you can know if PostgreSQL will use these indexes or not without having to
 spend resources to create them.

Package: postgresql-14-hypopg
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${postgresql:Depends}
Description: PostgreSQL extension adding support for hypothetical indexes.
 An hypothetical, or virtual, index is an index that doesn't really exists, and
 thus doesn't cost CPU, disk or any resource to create.  They're useful to know
 if specific indexes can increase performance for problematic queries, since
 you can know if PostgreSQL will use these indexes or not without having to
 spend resources to create them.

Package: postgresql-15-hypopg
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${postgresql:Depends}
Description: PostgreSQL extension adding support for hypothetical indexes.
 An hypothetical, or virtual, index is an index that doesn't really exists, and
 thus doesn't cost CPU, disk or any resource to create.  They're useful to know
 if specific indexes can increase performance for problematic queries, since
 you can know if PostgreSQL will use these indexes or not without having to
 spend resources to create them.

Package: postgresql-16-hypopg
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${postgresql:Depends}
Description: PostgreSQL extension adding support for hypothetical indexes.
 An hypothetical, or virtual, index is an index that doesn't really exists, and
 thus doesn't cost CPU, disk or any resource to create.  They're useful to know
 if specific indexes can increase performance for problematic queries, since
 you can know if PostgreSQL will use these indexes or not without having to
 spend resources to create them.

=== debian/tests/control ===
Depends: @, make, postgresql-contrib-10, postgresql-contrib-11, postgresql-contrib-12, postgresql-contrib-13, postgresql-contrib-14, postgresql-contrib-15, postgresql-contrib-16
Tests: installcheck
Restrictions: allow-stderr

## hypopg 1.4.2

=== Makefile ===
--- 
+++ 
@@ -23,12 +23,12 @@
 	unzip ./hypopg-$(EXTVERSION).zip
 	rm ./hypopg-$(EXTVERSION).zip
 	rm ./hypopg-$(EXTVERSION)/.gitignore
-	rm ./hypopg-$(EXTVERSION)/docs/ -rf
+	rm -rf ./hypopg-$(EXTVERSION)/docs/
 	rm ./hypopg-$(EXTVERSION)/typedefs.list
 	rm ./hypopg-$(EXTVERSION)/TODO.md
 	sed -i -e "s/__VERSION__/$(EXTVERSION)/g"  ./hypopg-$(EXTVERSION)/META.json
 	zip -r ./hypopg-$(EXTVERSION).zip ./hypopg-$(EXTVERSION)/
-	rm ./hypopg-$(EXTVERSION) -rf
+	rm -rf ./hypopg-$(EXTVERSION)
 
 
 DATA = $(wildcard *--*.sql)

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = HypoPG
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
hypopg (1.4.2-2) unstable; urgency=medium

  * Upload for PostgreSQL 18.
  * Add ${postgresql:Breaks}.
  * debian/tests: Use postgresql-common-dev instead of 'make'.

 -- Christoph Berg <myon@debian.org>  Tue, 23 Sep 2025 14:28:01 +0200

hypopg (1.4.2-1) experimental; urgency=medium

  * New upstream version 1.4.2.

 -- Christoph Berg <myon@debian.org>  Mon, 30 Jun 2025 13:20:27 +0200

hypopg (1.4.1-2) unstable; urgency=medium

  * Upload for PostgreSQL 17.
  * Restrict to 64-bit architectures.
  * Mark postgresql-all as <!nocheck>.
  * Move packaging repository to salsa.

 -- Christoph Berg <myon@debian.org>  Thu, 12 Sep 2024 16:24:13 +0200

=== debian/control ===
Source: hypopg
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Standards-Version: 4.7.2
Build-Depends:
 debhelper-compat (= 13),
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 postgresql-all <!nocheck>,
 postgresql-server-dev-all,
Homepage: https://hypopg.readthedocs.io/
Vcs-Browser: https://salsa.debian.org/postgresql/hypopg
Vcs-Git: https://salsa.debian.org/postgresql/hypopg.git

Package: postgresql-18-hypopg
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: PostgreSQL extension adding support for hypothetical indexes.
 An hypothetical, or virtual, index is an index that doesn't really exists, and
 thus doesn't cost CPU, disk or any resource to create.  They're useful to know
 if specific indexes can increase performance for problematic queries, since
 you can know if PostgreSQL will use these indexes or not without having to
 spend resources to create them.

=== debian/rules ===
#!/usr/bin/make -f

PKGVER = $(shell dpkg-parsechangelog | awk -F '[:-]' '/^Version:/ { print substr($$2, 2) }')
EXCLUDE = --exclude-vcs --exclude=debian

override_dh_installdocs:
	dh_installdocs --all CONTRIBUTORS.md README.md
	rm -rvf debian/*/usr/share/doc/postgresql-doc-*

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md

orig: debian/control clean
	cd .. && tar czf hypopg_$(PKGVER).orig.tar.gz $(EXCLUDE) hypopg-$(PKGVER)

%:
	dh $@ --with pgxs_loop

=== debian/watch ===
version=4
opts="uversionmangle=s/(beta)/~$1/" \
https://github.com/hypopg/hypopg/tags .*/(.*).tar.gz
